Bug 140425 - Sound server fatal error: cpu overload, aborting
Sound server fatal error: cpu overload, aborting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 15:54 EST by Christophe Mandin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 02:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christophe Mandin 2004-11-22 15:54:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
At the end of FC3 install I can't hear any sound in the test stage.

After login, with top, I can see that artsd take all the cpu and then
crashes with the message : "Sound server fatal error: cpu overload,
aborting"

Detection of sound card seems correct :
   Vendor Intel
   Model  Corp. 82801DB (ICH4) AC'97 Audio Controller
   Module snd-intel8x0





Version-Release number of selected component (if applicable):
arts-1.3.1-1

How reproducible:
Always

Steps to Reproduce:
1.Install FC3
2.Login whith a KDE session
3.
    

Actual Results:  No sound

Additional info:

My notebook : HP Pavilion ze4940ea

uname -a :
--------------------------------------------------------------------
Linux xxxx 2.6.9-1.681_FC3 #1 Thu Nov 18 15:10:10 EST 2004 i686 i686
i386 GNU/Linux

lspci :
--------------------------------------------------------------------
Multimedia audio controller: Intel Corp. 82801DB (ICH4) AC'97 Audio
Controller (rev 03)
00:00.0 Host bridge: Intel Corp. 82852/855GM Host Bridge (rev 02)
00:00.1 System peripheral: Intel Corp. 855GM/GME GMCH Memory I/O
Control Registers (rev 02)
00:00.3 System peripheral: Intel Corp. 855GM/GME GMCH Configuration
Process Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02)
00:02.1 Display controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #3 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801DB (ICH4) USB2 EHCI
Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801BAM/CAM PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corp. 82801DBM LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4) Ultra ATA Storage
Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801DB/DBM (ICH4) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB (ICH4) AC'97
Audio Controller (rev 03)
00:1f.6 Modem: Intel Corp. 82801DB (ICH4) AC'97 Modem Controller (rev 03)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:05.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 02)
02:06.0 Network controller: Intel Corp. Intel(R) PRO/Wireless 2200BG
(rev 05)
02:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21
IEEE-1394a-2000 Controller (PHY/Link)

lsmod | sort :
--------------------------------------------------------------------
8139too                26305  0
ac                      4805  0
arc4                    1857  1
battery                 8517  0
button                  6481  0
dm_mod                 54741  0
ds                     16965  2
ehci_hcd               31685  0
ext3                  116809  1
gameport                4801  1 snd_intel8x0
hw_random               5589  0
i2c_core               22081  1 i2c_dev
i2c_dev                10433  0
i915                   76869  3
ieee1394              302869  1 ohci1394
ieee80211              24420  1 ipw2200
ieee80211_crypt         6916  2 ieee80211_crypt_wep,ieee80211
ieee80211_crypt_wep     4992  1
ip_conntrack           40693  1 ipt_state
iptable_filter          2753  1
ip_tables              16193  3 ipt_REJECT,ipt_state,iptable_filter
ipt_REJECT              6465  1
ipt_state               1857  2
ipv6                  232705  8
ipw2200               104332  0
jbd                    74969  1 ext3
joydev                  8705  0
lp                     11565  0
md5                     4033  1
mii                     4673  1 8139too
Module                  Size  Used by
ohci1394               35033  0
parport                41737  2 parport_pc,lp
parport_pc             24705  0
pcmcia_core            59913  2 ds,yenta_socket
snd                    54053  10
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
snd_ac97_codec         64401  2 snd_intel8x0m,snd_intel8x0
snd_intel8x0           34829  0
snd_intel8x0m          18185  0
snd_mixer_oss          17217  1 snd_pcm_oss
snd_mpu401_uart         8769  1 snd_intel8x0
snd_page_alloc          9673  3 snd_intel8x0m,snd_intel8x0,snd_pcm
snd_pcm                97993  3 snd_intel8x0m,snd_intel8x0,snd_pcm_oss
snd_pcm_oss            47608  0
snd_rawmidi            26725  1 snd_mpu401_uart
snd_seq_device          8137  1 snd_rawmidi
snd_timer              29765  1 snd_pcm
soundcore               9889  1 snd
sunrpc                160421  1
uhci_hcd               31449  0
yenta_socket           18881  0
Comment 1 Steve Watford 2004-11-30 18:21:47 EST
I have exactly the same experience on an HP DV1040US
Comment 2 Sitsofe Wheeler 2004-12-03 05:22:19 EST
Might be related to bug 140590 or bug 135979
Comment 3 Ngo Than 2005-06-21 09:01:02 EDT
if the testsound does not work it seems a bug in the sound driver or alsa-libs
Comment 4 Martin Stransky 2005-06-22 03:20:33 EDT
Which version of alsa-lib do you have?
Could you attach output of 'aplay -l'?
Could you try aplay utility from console (and without KDE/arts)?
(e.g. aplay -D plughw:0 /usr/share/sounds/phone.wav)

Note You need to log in before you can comment on or make changes to this bug.